ui: displays front end components of the app
server: is the backend portion of the app, this runs the ABM
global:brings in datasets and does pre-processing
customer_functions_webapp: script with modular functions called by server